import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbWorkspaceViewElement } from '../../../../core/workspace/index.js';
export declare class UmbWorkspaceViewDataTypeInfoElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    private _unique;
    private _schemaAlias?;
    private _uiAlias?;
    private _dataSourceAlias?;
    private _workspaceContext?;
    constructor();
    private _observeDataType;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbWorkspaceViewDataTypeInfoElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-workspace-view-data-type-info': UmbWorkspaceViewDataTypeInfoElement;
    }
}
